<template>
    <div>
      <ul>
        <li v-for="product in products" :key="product.id">
          {{ product.name }} - {{ product.price }}
          <button @click="getProduct(product.id)">Редактировать</button>
          <button @click="deleteProduct(product.id)">Удалить</button>
        </li>
      </ul>
    </div>
  </template>
  
  <script setup>
  import { useProductStore } from '@/stores/productStore';
  import { computed, onMounted } from 'vue';
  import { useRouter } from 'vue-router';
  
  const store = useProductStore();
  const products = computed(() => store.products);
  console.log(products)
  const router = useRouter();
  
  onMounted(async () => {
    await store.fetchProducts();
  });
  
  
  const getProduct = (productId) => {
    router.push({ name: 'productEdit', params: { id: productId } });
  };
  
  const deleteProduct = async (productId) => {
    await store.deleteProduct(productId);
  };
  </script>
  